Subject: Re: Problems with Mercury
From: [email-masked] (Fergus Henderson)

18 Sep 1998 10:13:02 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: [email-masked], [email-masked]

On 10-Sep-1998, Dominique de Waleffe <[email-masked]> wrote:
> [email-masked]:
> > Has anyone successfully compiled and installed Mercury lately?
> > 
> > I'm using B19.3 (coolview) and last weeks egcs and bintools from Mumit
> > Kahn's ftp site, on an NT4.0 SP3.  I'm trying to compile and install
> > Mercury 0.7, which I also downloaded last week.  
>
> Mercury cannot in its current state be compiled with b19.
> 
> Fergus Henderson found a problem in the gcc generated code and there
> might also be problems with the GC.

Yes, that's correct.  The problem with the garbage collector is
fixed in the latest development snapshot of Mercury.
The gcc code generation bug is fixed in the version
of egcs and bintools from Mumit Kahn's ftp site.

So if John Velman just tries the latest development snapshot of Mercury,
which is available from <ftp://turiel.cs.mu.oz.au/pub/mercury/beta-releases>,
it should work, I think.  The "official" recommendation is still to stick
with b18, but that is just because we've only done very minimal testing
with b19.1.

The problem with the whole machine hanging is apparently a bug in Windows 95.
A patch is available, I believe -- see the cygwin32 FAQ list.

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".